Summary:	High speed arbitrary size integer math
Name:		perl-Math-GMP
Version:	2.25
Release:    2%{?dist}
License:	LGPL-2.0-or-later
URL:		https://metacpan.org/release/Math-GMP
Source0:	https://cpan.metacpan.org/modules/by-module/Math/Math-GMP-%{version}.tar.gz
Patch0:		Math-GMP-2.18-no-Alien::GMP.patch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	gcc
BuildRequires:	gmp-devel
BuildRequires:	make
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(AutoLoader)
BuildRequires:	perl(Carp)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(overload)
BuildRequires:	perl(strict)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(blib)
BuildRequires:	perl(Config)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(IO::Handle)
BuildRequires:	perl(IPC::Open3)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Test::More)

%{?perl_default_filter}

%description
Math::GMP was designed to be a drop-in replacement both for Math::BigInt and
for regular integer arithmetic. Unlike BigInt, though, Math::GMP uses the GNU
gmp library for all of its calculations, as opposed to straight Perl functions.
This can result in speed improvements.

%prep
%setup -q -n Math-GMP-%{version}

%patch -P 0

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license COPYING.LIB LICENSE
%doc Changes README.md
%{perl_vendorarch}/Math/
%{perl_vendorarch}/auto/Math/
%{_mandir}/man3/Math::GMP.3*

%changelog
* Thu Jul 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.25-2
- remove epoch

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.25-1
- initial build
